using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 通知的分析包含了 收藏 点赞 转发 评论点赞
    /// </summary>
    [DataTable("tede_notice_analyze")]
   public class NoticeAnalyze:Datory.Entity
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        [DataColumn]
        public int NoticeId { get; set; }
        /// <summary>
        /// 评论ID
        /// </summary>
        [DataColumn]
        public int NoticeCommentId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID (1 通知点赞,2评论点赞,3收藏,4转发)
        /// </summary>
        [DataColumn]
        public int AnalyzeType { get; set; }
    }
}
