using Datory;
using Datory.Annotations;

namespace GxPress.Entity.Topic
{
    /// <summary>
    /// 话题评论
    /// </summary>
    [DataTable("tede_topic_comment")]
    public class TopicComment:Datory.Entity
    {
        /// <summary>
        /// 话题ID
        /// </summary>
        [DataColumn] public int TopicId { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [DataColumn] public int UserId { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        [DataColumn] public string Content { get; set; }
        /// <summary>
        /// 点赞次数
        /// </summary>
        [DataColumn] public int Laud { get; set; }
        /// <summary>
        /// 父级ID
        /// </summary>
        [DataColumn] public int Pid { get; set; }
        /// <summary>
        /// 是否讨论
        /// </summary>
        [DataColumn] public bool IsUnderstand { get; set; }
    }
}
